<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="mem__config__sfdp_8h" kind="file">
    <compoundname>mem_config_sfdp.h</compoundname>
    <includes local="yes">cy_smif_memslot.h</includes>
    <incdepgraph>
      <node id="42">
        <label>cy_smif_memslot.h</label>
      </node>
      <node id="41">
        <label>mem_config_sfdp.h</label>
        <link refid="mem_config_sfdp.h" />
        <childnode refid="42" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="mem__config__sfdp_8h_1a7aac570e091c624c4c09bf29f5e1b925" kind="define" prot="public" static="no">
        <name>CY_SMIF_CFG_TOOL_VERSION</name>
        <initializer>(210)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="49" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a6b7e10d489e398262805b9ac33b33204" kind="define" prot="public" static="no">
        <name>CY_SMIF_DRV_VERSION_REQUIRED</name>
        <initializer>(100)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" bodystart="52" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="52" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1af838937d00aec72f26f5048cb99fcd51" kind="define" prot="public" static="no">
        <name>CY_SMIF_DRV_VERSION</name>
        <initializer>(100)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" bodystart="55" column="13" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="55" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a2689cf5c71813f50cfee686a12e3e2d9" kind="define" prot="public" static="no">
        <name>CY_SMIF_DEVICE_NUM</name>
        <initializer>1</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="63" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="mem__config__sfdp_8h_1ad9610eb266577fbb7e50bad4a5bcfbac" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_readCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_readCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="65" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1aa16d52de6656fb08b3e03735deb29bd8" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_writeEnCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_writeEnCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="66" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a2586b20ff3a392ab618a27fb79a858ac" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_writeDisCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_writeDisCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="67" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1ac7ac2f9c74d9411ba35628d9b2040b2a" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_eraseCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_eraseCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="68" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a6cbe2389148d7ceeb3093091ef05ceda" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_chipEraseCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_chipEraseCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="69" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1ae98eb58825a72ca65423cda271a0aebc" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_programCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_programCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="70" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a9d27c64093e1c0444fb13da20ab240da" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_readStsRegQeCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_readStsRegQeCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="71" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1abe284583d9bddc051556ed00adf69864" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_readStsRegWipCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_readStsRegWipCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="72" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a5d9f01c2f65c304123575b4a4b5ba90c" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_writeStsRegQeCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_writeStsRegQeCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="73" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a299dc8f9babd6862ee36526c3b0e3067" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_cmd_t</type>
        <definition>cy_stc_smif_mem_cmd_t Auto_detect_SFDP_SlaveSlot_0_readSfdpCmd</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0_readSfdpCmd</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="74" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1aa3ef0871c232d2a4a4afe1af3c1fa94f" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_device_cfg_t</type>
        <definition>cy_stc_smif_mem_device_cfg_t deviceCfg_Auto_detect_SFDP_SlaveSlot_0</definition>
        <argsstring />
        <name>deviceCfg_Auto_detect_SFDP_SlaveSlot_0</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="76" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a96859819e0bb283d325e1640fd55956c" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_config_t</type>
        <definition>cy_stc_smif_mem_config_t Auto_detect_SFDP_SlaveSlot_0</definition>
        <argsstring />
        <name>Auto_detect_SFDP_SlaveSlot_0</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="78" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1a9e88740bafecabda981b9490e9702580" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_mem_config_t *</type>
        <definition>cy_stc_smif_mem_config_t* smifMemConfigsSfdp[CY_SMIF_DEVICE_NUM]</definition>
        <argsstring>[CY_SMIF_DEVICE_NUM]</argsstring>
        <name>smifMemConfigsSfdp</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="79" />
      </memberdef>
      <memberdef id="mem__config__sfdp_8h_1ab12875eb6a015687a36e333564d19c11" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_smif_block_config_t</type>
        <definition>cy_stc_smif_block_config_t smifBlockConfigSfdp</definition>
        <argsstring />
        <name>smifBlockConfigSfdp</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" line="81" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />File<sp />Name:<sp />mem_config_sfdp.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*<sp />Description:<sp />This<sp />file<sp />contains<sp />the<sp />extern<sp />definitions<sp />for<sp />the<sp />memory</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />configuration<sp />structures<sp />to<sp />use<sp />with<sp />the<sp />QSPI<sp />MemSlot<sp />driver</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(cy_smif_memslot.c/.h).<sp />This<sp />file<sp />is<sp />generated<sp />first<sp />using<sp />the</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />QSPI<sp />Configurator<sp />tool<sp />and<sp />then<sp />some<sp />structures<sp />have<sp />been<sp />renamed</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />to<sp />avoid<sp />collision<sp />with<sp />the<sp />memory<sp />configuration<sp />present<sp />in<sp />the</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />BSP.</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp />Related<sp />Document:<sp />See<sp />README.md</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*</highlight></codeline>
<codeline lineno="13"><highlight class="comment">*******************************************************************************</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />(c)<sp />2019-2020,<sp />Cypress<sp />Semiconductor<sp />Corporation.<sp />All<sp />rights<sp />reserved.</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*******************************************************************************</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp />This<sp />software,<sp />including<sp />source<sp />code,<sp />documentation<sp />and<sp />related<sp />materials</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp />("Software"),<sp />is<sp />owned<sp />by<sp />Cypress<sp />Semiconductor<sp />Corporation<sp />or<sp />one<sp />of<sp />its</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*<sp />subsidiaries<sp />("Cypress")<sp />and<sp />is<sp />protected<sp />by<sp />and<sp />subject<sp />to<sp />worldwide<sp />patent</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*<sp />protection<sp />(United<sp />States<sp />and<sp />foreign),<sp />United<sp />States<sp />copyright<sp />laws<sp />and</highlight></codeline>
<codeline lineno="20"><highlight class="comment">*<sp />international<sp />treaty<sp />provisions.<sp />Therefore,<sp />you<sp />may<sp />use<sp />this<sp />Software<sp />only</highlight></codeline>
<codeline lineno="21"><highlight class="comment">*<sp />as<sp />provided<sp />in<sp />the<sp />license<sp />agreement<sp />accompanying<sp />the<sp />software<sp />package<sp />from</highlight></codeline>
<codeline lineno="22"><highlight class="comment">*<sp />which<sp />you<sp />obtained<sp />this<sp />Software<sp />("EULA").</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*</highlight></codeline>
<codeline lineno="24"><highlight class="comment">*<sp />If<sp />no<sp />EULA<sp />applies,<sp />Cypress<sp />hereby<sp />grants<sp />you<sp />a<sp />personal,<sp />non-exclusive,</highlight></codeline>
<codeline lineno="25"><highlight class="comment">*<sp />non-transferable<sp />license<sp />to<sp />copy,<sp />modify,<sp />and<sp />compile<sp />the<sp />Software<sp />source</highlight></codeline>
<codeline lineno="26"><highlight class="comment">*<sp />code<sp />solely<sp />for<sp />use<sp />in<sp />connection<sp />with<sp />Cypress's<sp />integrated<sp />circuit<sp />products.</highlight></codeline>
<codeline lineno="27"><highlight class="comment">*<sp />Any<sp />reproduction,<sp />modification,<sp />translation,<sp />compilation,<sp />or<sp />representation</highlight></codeline>
<codeline lineno="28"><highlight class="comment">*<sp />of<sp />this<sp />Software<sp />except<sp />as<sp />specified<sp />above<sp />is<sp />prohibited<sp />without<sp />the<sp />express</highlight></codeline>
<codeline lineno="29"><highlight class="comment">*<sp />written<sp />permission<sp />of<sp />Cypress.</highlight></codeline>
<codeline lineno="30"><highlight class="comment">*</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*<sp />Disclaimer:<sp />THIS<sp />SOFTWARE<sp />IS<sp />PROVIDED<sp />AS-IS,<sp />WITH<sp />NO<sp />WARRANTY<sp />OF<sp />ANY<sp />KIND,</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*<sp />EXPRESS<sp />OR<sp />IMPLIED,<sp />INCLUDING,<sp />BUT<sp />NOT<sp />LIMITED<sp />TO,<sp />NONINFRINGEMENT,<sp />IMPLIED</highlight></codeline>
<codeline lineno="33"><highlight class="comment">*<sp />WARRANTIES<sp />OF<sp />MERCHANTABILITY<sp />AND<sp />FITNESS<sp />FOR<sp />A<sp />PARTICULAR<sp />PURPOSE.<sp />Cypress</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />reserves<sp />the<sp />right<sp />to<sp />make<sp />changes<sp />to<sp />the<sp />Software<sp />without<sp />notice.<sp />Cypress</highlight></codeline>
<codeline lineno="35"><highlight class="comment">*<sp />does<sp />not<sp />assume<sp />any<sp />liability<sp />arising<sp />out<sp />of<sp />the<sp />application<sp />or<sp />use<sp />of<sp />the</highlight></codeline>
<codeline lineno="36"><highlight class="comment">*<sp />Software<sp />or<sp />any<sp />product<sp />or<sp />circuit<sp />described<sp />in<sp />the<sp />Software.<sp />Cypress<sp />does</highlight></codeline>
<codeline lineno="37"><highlight class="comment">*<sp />not<sp />authorize<sp />its<sp />products<sp />for<sp />use<sp />in<sp />any<sp />products<sp />where<sp />a<sp />malfunction<sp />or</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*<sp />failure<sp />of<sp />the<sp />Cypress<sp />product<sp />may<sp />reasonably<sp />be<sp />expected<sp />to<sp />result<sp />in</highlight></codeline>
<codeline lineno="39"><highlight class="comment">*<sp />significant<sp />property<sp />damage,<sp />injury<sp />or<sp />death<sp />("High<sp />Risk<sp />Product").<sp />By</highlight></codeline>
<codeline lineno="40"><highlight class="comment">*<sp />including<sp />Cypress's<sp />product<sp />in<sp />a<sp />High<sp />Risk<sp />Product,<sp />the<sp />manufacturer<sp />of<sp />such</highlight></codeline>
<codeline lineno="41"><highlight class="comment">*<sp />system<sp />or<sp />application<sp />assumes<sp />all<sp />risk<sp />of<sp />such<sp />use<sp />and<sp />in<sp />doing<sp />so<sp />agrees<sp />to</highlight></codeline>
<codeline lineno="42"><highlight class="comment">*<sp />indemnify<sp />Cypress<sp />against<sp />all<sp />liability.</highlight></codeline>
<codeline lineno="43"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />MEM_CONFIG_SFDP_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MEM_CONFIG_SFDP_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_smif_memslot.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SMIF_CFG_TOOL_VERSION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(210)</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="comment">/*<sp />Supported<sp />QSPI<sp />Driver<sp />version<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SMIF_DRV_VERSION_REQUIRED<sp /><sp /><sp /><sp /><sp /><sp /><sp />(100)</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_SMIF_DRV_VERSION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />CY_SMIF_DRV_VERSION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(100)</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="comment">/*<sp />Check<sp />the<sp />used<sp />Driver<sp />version<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_SMIF_DRV_VERSION_REQUIRED<sp />&gt;<sp />CY_SMIF_DRV_VERSION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp />#error<sp />The<sp />QSPI<sp />Configurator<sp />requires<sp />a<sp />newer<sp />version<sp />of<sp />the<sp />PDL.<sp />Update<sp />the<sp />PDL<sp />in<sp />your<sp />project.</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SMIF_DEVICE_NUM<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_readCmd;</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_writeEnCmd;</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_writeDisCmd;</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_eraseCmd;</highlight></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_chipEraseCmd;</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_programCmd;</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_readStsRegQeCmd;</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_readStsRegWipCmd;</highlight></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_writeStsRegQeCmd;</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_cmd_t<sp />Auto_detect_SFDP_SlaveSlot_0_readSfdpCmd;</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_device_cfg_t<sp />deviceCfg_Auto_detect_SFDP_SlaveSlot_0;</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_config_t<sp />Auto_detect_SFDP_SlaveSlot_0;</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_mem_config_t*<sp />smifMemConfigsSfdp[CY_SMIF_DEVICE_NUM];</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp />cy_stc_smif_block_config_t<sp />smifBlockConfigSfdp;</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />MEM_CONFIG_SFDP_H<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/mem_config/mem_config_sfdp.h" />
  </compounddef>
</doxygen>